Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepUseMasterLeases Property
DatabaseEnvironment Class See Also

If true, master leases will be used for this site (defaults to false).

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool RepUseMasterLeases { get; set; }

Visual Basic (Declaration)
    Public Property RepUseMasterLeases As Boolean

Visual C++
    public:
    property bool RepUseMasterLeases {
    	bool get ();
    	void set (bool value);
    }

# Remarks

Configuring this option may result in a LeaseExpiredException when attempting to read entries from a database after the site's master lease has expired.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace